:root{
    /* 1366 */
    --desk80px-details: clamp(20px, 5.856515373352855vw, 80px);
    --desk48px: clamp(20px, 3.513909224011713vw, 48px);
    --desk32px: clamp(16px, 2.342606149341142vw, 32px);
    --swiper-navigation-size: 110px;
}
html, body{
    overflow-x: hidden ;
}
.banner_kv{
    padding-top: var(--nav-height);
}
video {
    animation-name: nodeInserted;
    -webkit-animation-name: nodeInserted;
    animation-duration: 0.001s;
    -webkit-animation-duration: 0.001s;
    max-width: 100%;
    height: auto;
    box-sizing: border-box;
    margin: 0 auto;
    width: 100%;
}
.video-wrap{
    position: relative;
    width: 100%;
    margin: 0 auto;
    text-align: center;
  }

.kv_title{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9;
    width: 92%;
    text-align: center;
}

.dflex_title{
    display: flex;
    flex-wrap: nowrap;   
    align-items: center;
    justify-content: center;   
    gap: 65px;
}
.kv_title .dflex_title .title{
    padding-top: 8px;
}
 .dflex_button{
    display: flex;
    width: 100%;
    justify-content: center;  
}
.banner_kv.limits .kv_title{
    top: 50%;
    width: 60%;
}
.banner_kv.limits .dflex_title{
    justify-content:flex-start;
    gap: 20vw;   
}
.banner_kv.limits .kv_title .title{
    white-space: nowrap;
}
#s-main-wrapper .banner_kv .kv_title .title h1{
    font-family: var(--sst-bold);
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0;
    font-size: var(--desk80px-details);
}
#s-main-wrapper .banner_kv .kv_title .title h1 {
  text-align: center;
  animation-name: fade-in-detail;
  animation-duration: 2s;
}
@keyframes fade-in-detail {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.logo_master{
    width: 260px;
}
.lockup{
    position: relative;
    z-index: 2;
    width: 100%;
    max-width: 30%;
    margin: -5% auto 0;
}

.content_detail{
    width: 100%;
    margin: 0 auto;
    text-align: center;
    padding-bottom: 30px;
}
.content_detail p{
    font-size: var(--desk32px);
    font-family: var(--sst-roman);
    line-height: 1.40449438202;
}
.content_detail .notes{
    font-size: var(--desk24px);
    color:#555
}
.content_detail p.strong{
    font-family: var(--sst-bold);
}
.content_detail .wrapper{
    max-width: 900px;
}

.intro_preview{
    position: relative;
    padding: 50px 0 100px;
    margin-top: 40px;
}
.intro_preview::before{
    position: absolute;
    content: "";
    background-color: #e5e5e5;
    width: 100%;
    height: 100%;
    border-top-left-radius: 106px;
    border-top-right-radius: 106px;
    top: 0;
    z-index: -1;
}
.title_preview{
    font-size: var(--desk42px);
    color: #000000;
    text-align: center;
    font-family: var(--sst-heavy);
    margin-bottom: 32px;
}
.intro_list_preview{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 40px;
    margin: 0 auto;
    text-align: center;   
}

.intro_preview .intro_item{
    position: relative;
}
.intro_preview .title_option{
    position: absolute;
    top: 50%;
    color: #ffffff;
    text-transform: uppercase;
    font-size: var(--desk30px);
    font-family: var(--sst-heavy);
    text-align: center;
    transform: translate(0, -50%);
}
.wrapper_content{
    padding-left: 15px;
    padding-right: 15px;
}
.intro_item img {
  max-width: 100%;
  height: auto;
  object-fit: contain; 
  display: block;
  margin: 0 auto;
}

.intro_item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.intro_item .name_href {
    margin-top: 15px;
    display: flex;
    flex-wrap: nowrap;
    gap: 16px;
}

.name_product {
  font-weight: 600;
  font-size: 20px;
  margin-bottom: 5px;
}

.desc_product {
  font-size: 20px;
  color: #555;
  margin-top: 0;
}

.img_box {
    width: 100%;
    display: flex;
    align-items: end;
    justify-content: flex-end;
    overflow: hidden;
    flex: 1;
    max-width: 300px;
}

.img_box img {
  max-height: 100%;
  max-width: 100%;
  object-fit: contain;
}
.name_href {
    position: relative;
}
.name_href .icon_more{
    background-image: url(../images/black-button.png);
    background-size: 100%;
    background-repeat: no-repeat;
    width: 25px;
    height: 25px;
    cursor: pointer;
}
.intro_preview .intro_item img{
    border-radius: 25px;
}
.intro_item:hover {
    -webkit-box-shadow: 0 20px 40px rgba(72, 78, 85, .6);
    box-shadow: 0 20px 40px rgba(72, 78, 85, .6);
    -webkit-transform: translateY(-15px);
    -moz-transform: translateY(-15px);
    -ms-transform: translateY(-15px);
    -o-transform: translateY(-15px);
    transform: translateY(-15px);
}
.details_page_btn{
    position: absolute;
    bottom: 25px;
    right: 25px;
    background-image: url(../images/right-arrow.png);
    background-size: 100%;
    background-repeat: no-repeat;
    width: 30px;
    height: 30px;
}
.details_page_btn a{
    width: 100%;
    height: 100%;
    display: inline-block;
}
/* transition card */
.intro_preview .box-shadow{
	-webkit-box-shadow: 0 1px 1px rgba(72,78,85,.6);
	box-shadow: 0 1px 1px rgba(72,78,85,.6);
	-webkit-transition: all .2s ease-out;
	-moz-transition: all .2s ease-out;
	-ms-transition: all .2s ease-out;
	-o-transition: all .2s ease-out;
	transition: all .2s ease-out;
}
.intro_preview .box-shadow:hover{
	-webkit-box-shadow: 0 20px 40px rgba(72,78,85,.6);
	box-shadow: 0 20px 40px rgba(72,78,85,.6);
	-webkit-transform: translateY(-15px);
	-moz-transform: translateY(-15px);
	-ms-transform: translateY(-15px);
	-o-transform: translateY(-15px);
	transform: translateY(-15px);
}
.intro_item{
	border-radius: 25px;
}
.intro_item img{
	border-top-left-radius: 25px;
	border-top-right-radius: 25px;
}
.details_page_btn{
     -webkit-transition: transform 0.3s ease-out;
    -moz-transition: transform 0.3s ease-out;
    -ms-transition: transform 0.3s ease-out;
    -o-transition: transform 0.3s ease-out;
    transition: transform 0.3s ease-out;
	transition: all .6s ease-in-out;
}
.intro_item:hover .details_page_btn{
      -webkit-transform: translateX(6px);
    -moz-transform: translateX(6px);
    -ms-transform: translateX(6px);
    -o-transform: translateX(6px);
    transform: translateX(6px);
}
/* transition card */

.slideDetailsSwiper{
    padding: 30px 0;
}
.slideDetailsSwiper .swiper {
    width: 100%;
    height: 100%;
}
.slideDetailsSwiper .swiper-wrapper{
    z-index: 1;
}
.slideDetailsSwiper .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
}
.slideDetailsSwiper .swiper-slide .item_img{
    width: 100%;
    height: 100%;
}
.slideDetailsSwiper .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slideDetailsSwiper .swiper-nav {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    transform: translateY(-50%);
    display: flex;
    justify-content: space-between;
    pointer-events: none; 
    z-index: 90;
}

.slideDetailsSwiper .custom-next.swiper-button-next::after,
.slideDetailsSwiper .custom-prev.swiper-button-prev::after{
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background-image: url(../images/white-button.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.slideDetailsSwiper .custom-prev.swiper-button-prev:after{
    transform: rotate(-180deg);
}
.slideDetailsSwiper .swiper-button-next.swiper-button-disabled, .slideDetailsSwiper .swiper-button-prev.swiper-button-disabled{
    opacity: 0;
}
.slideDetailsSwiper .swiper-button-prev, .slideDetailsSwiper .swiper-rtl .swiper-button-next {
    left: 17%;
}
.slideDetailsSwiper .swiper-button-next, .slideDetailsSwiper .swiper-rtl .swiper-button-prev{
    right: 17%;
}

/* kv video lightbox */
 :root {
    --overlay-bg: rgba(0, 0, 0, 0.9);
    --close-bg: rgba(255, 255, 255, 0.1);
    --close-bg-hover: rgba(255, 255, 255, 0.2);
}

.container {
    text-align: center;
    padding: 24px;
}
.bgoverlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000000;
    opacity: 0.7;
    width: 100%;
}

a.video-trigger {
    color: #fff;
    text-decoration: none;
    padding: 10px 14px;
    border-radius: 8px;
    transition: background 0.2s ease;
}


/* Lightbox overlay */
.lightbox {
    position: fixed;
    inset: 0;
    background: var(--overlay-bg);
    display: none;
    /* toggled via .open */
    place-items: center;
    padding: 24px;
    z-index: 9999;
}

.lightbox.open {
    display: grid;
}

.lightbox__dialog {
    position: relative;
    width: min(90vw, 1200px);
    max-height: 90vh;
    display: grid;
    align-items: center;
    justify-items: center;
}

.lightbox__video {
    /* width: 100%; */
    width: max-content;
    height: auto;
    max-height: 85vh;
    background: #000;
    border-radius: 10px;
    outline: none;
}

.lightbox__close {
    position: absolute;
    top: -16px;
    right: -16px;
    width: 36px;
    height: 36px;
    border: none;
    border-radius: 999px;
    display: grid;
    place-items: center;
    background: var(--close-bg);
    color: #fff;
    cursor: pointer;
    transition: background 0.2s ease;
    align-items: center;
    justify-content: center;
}

.lightbox__close:hover {
    background: var(--close-bg-hover);
}
button.lightbox__close {
  outline: none;
}

button.lightbox__close:focus {
  outline: none;
  box-shadow: none;
}
button.lightbox__close::-moz-focus-inner {
  border: 0;
}

/* button */    
.button {
	position: relative;
	font-family: inherit;
	transition: all 0.1s ease-in;
	display: flex;
	gap: 1.65rem;
	cursor: pointer;
	border-radius: 48px;
	padding: 16px 40px;
	background-color: #3a393b;
	color: #fff;
	border: none;
	align-items: center;
	font-size: 24px;
	font-weight: 600;
	min-width: 210px;
	justify-content: center;
}
.button:hover {
	background-color: #cb4902;
}
.button:has(input:checked) {
	background-color: #cb4902;
}
.arrow {
	position: relative;
	transition: all 0.4s ease-in-out;
	cursor: pointer;
	width: 0;
	height: 0;
	border-top: 0.8rem solid transparent;
	border-bottom: 0.8rem solid transparent;
	border-left: 1rem solid #fff;
}
.arrow::after {
	transition: transform 0.4s ease-in-out;
	content: "";
	position: absolute;
	background-color: transparent;
	width: 1.5rem;
	height: 2rem;
	top: -1rem;
}
.arrow::before {
	transition: all 0.3s ease-out;
	content: "";
	position: absolute;
	background-color: transparent;
	width: 1rem;
	height: 1.6rem;
	top: -0.8rem;
}
.label {
	cursor: pointer;
    padding-top: 2px;
}
.visually-hidden {
	cursor: pointer;
	position: absolute;
	opacity: 0;
}
.button:has(input:checked) > .arrow::before {
	transform: translateX(-1rem);
	background: rgb(255, 255, 255);
	background: linear-gradient(
		90deg,
		rgba(255, 255, 255, 1) 30%,
		rgba(46, 119, 242, 1) 30%,
		rgba(46, 119, 242, 1) 70%,
		rgba(255, 255, 255, 1) 70%
	);
}
@keyframes back {
	0% {
		transform: translateX(0rem);
	}
	20% {
		transform: translateX(-0.8rem);
	}
	100% {
		transform: translateX(0rem);
	}
}
@keyframes slide {
	0% {
		transform: translateX(-1rem);
	}
	to {
		transform: translateX(0rem);
	}
}
.back {
	animation-name: back;
	animation-duration: 0.4s;
}
.kv_desktop{
    display: block !important;
}
.kv_mobile{
    display: none !important;
}
/* kv video lightbox */
/*======= sliderChangeText ========*/
.sliderChangeText .swiper-slide .content_detailChange {
  opacity: 0;
  padding-top: 30px;
  transform: translateY(20px);
  transition: all 0.6s ease;
}

.sliderChangeText .swiper-slide-active .content_detailChange {
  opacity: 1;
  transform: translateY(0);
}

.slider.sliderChangeText .slideDetailsSwiper {
  position: relative;
}

.sliderChangeText .swiper-button-prev,
.sliderChangeText .swiper-button-next {
  position: absolute;
  top: 50%; 
  margin: 0;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  z-index: 10;
}
.sliderChangeText .item_img {
  position: relative;
}
.sliderChangeText .item_img .swiper-button-prev,
.sliderChangeText .item_img .swiper-button-next {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
}
.sliderChangeText .item_img .custom-prev { left: 10px; }
.sliderChangeText .item_img .custom-next { right: 10px; }

.sliderChangeText .swiper-slide .swiper-button-prev,
.sliderChangeText .swiper-slide .swiper-button-next {
  opacity: 0;
}
.sliderChangeText .swiper-slide-active .swiper-button-prev,
.sliderChangeText .swiper-slide-active .swiper-button-next {
  opacity: 1;
}
.sliderChangeText .swiper-button-disabled{
    opacity: 0!important;
}

/*======== sliderHasVideo ========*/
 .sliderHasVideo .swiper-slide {
  position: relative;
}

/* Dùng cùng style cho img và video */
.sliderHasVideo .swiper-slide video,
.sliderHasVideo .swiper-slide img {
  width: 100%;
  aspect-ratio: 16 / 9; 
  object-fit: cover;
  display: block;
  border: 0;
}
.sliderHasVideo .slideDetailsSwiper .swiper-slide .item_img img{
    object-position: bottom;
} 
@media only screen and (max-width: 1600px){
    .banner_kv.limits .kv_title {
        width: 72%;
    }
    .banner_kv.limits .dflex_title {
        justify-content: flex-start;
    }
}
@media only screen and (max-width: 1365px){
    .kv_title .dflex_title .title {
        padding-top: 12px;
    }
    .dflex_title{
        gap: 40px;
    }
    .logo_master {
        width: 220px;
    }
    .content_detail .wrapper{
        padding-left: 15px;
        padding-right: 15px;
    }
    .intro_list_preview{
        max-width: 90%;
        gap: 20px;
    }
    .name_product{
        font-size: 20px;
    }
    .desc_product {
        font-size: 18px;
    }
    .intro_preview::before {
        border-top-left-radius: 100px;
        border-top-right-radius: 100px;
    }
    .intro_preview .img_box img{
        max-width: 270px;
    }
    .intro_preview {
        padding: 30px 0 80px;
    }
    .content_detail .wrapper {
        max-width: 80%;
    }
    .banner_kv.limits .dflex_title {
        justify-content: flex-start;
        width: 74%;
        gap: 14vw;
    }
}
@media only screen and (max-width: 991px){
    .kv_title .dflex_title .title {
        padding-top: 7px;
    }
    .kv_title{
        width: 95%;
    }
    .dflex_title{
        gap: 24px;
    }
    .logo_master {
        width: 150px;
    }
    .slideDetailsSwiper {
        padding: 30px 0;
    }
    .content_detail{
        padding-bottom: 0;
    }
    .intro_preview {
        padding: 40px 0 80px;
    }
}
@media only screen and (max-width: 824px){
    .lightbox__video {
        width: 90vw;
    }
}
@media only screen and (max-width: 767px){
    :root{
        --swiper-navigation-size: 60px;
    }
    .kv_desktop{
        display: none !important;
    }
    .kv_mobile{
        display: block !important;
    }
    .kv_title .dflex_title .title {
        padding-top: 3px;
    }
    .button{
        gap: 10px;
        padding: 8px 20px;
        min-width: 130px;
        font-size: 14px;
    }
    .arrow{
        border-top: 0.5rem solid transparent;
        border-bottom: 0.5rem solid transparent;
        border-left: 0.7rem solid #fff;
    }
    .intro_preview::before {
        border-top-left-radius: 80px;
        border-top-right-radius: 80px;
    }
    .name_product{
        font-size: 17px;
    }
    .desc_product {
        font-size: 16px;
    }
    .name_href .icon_more{
        width: 20px;
        height: 20px;
    }
    .back_btn {
        right: 30px;
        width: 30px;
        height: 30px;
    }
    .content_detail p.strong{
        margin-bottom: 5px;
    }
    .slideDetailsSwiper {
        padding: 30px 0 16px;
    }
    .slider{
        max-width: calc(100% - 32px);
        width: 100%;
        margin: 0 auto;
    }
    .swiper-button-next.custom-next, .swiper-button-prev.custom-prev{
        width: calc(var(--swiper-navigation-size) / 44 * 45);
    }
    .slideDetailsSwiper .swiper-button-next, .slideDetailsSwiper .swiper-rtl .swiper-button-prev {
        right: 0;
    }
    .slideDetailsSwiper .swiper-button-prev, .slideDetailsSwiper .swiper-rtl .swiper-button-next {
        left: 0;
    }
    .sliderChangeText .swiper-slide .content_detailChange{
        padding-top: 16px;
    }
}
@media only screen and (max-width: 560px){
    .logo_master {
        width: 80px;
    }
     .dflex_title{
        gap: 16px;
    }
    .intro_preview::before {
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
    }
    .intro_preview .img_box img {
        max-width: 240px;
    }
     .content_detail .wrapper {
        max-width: 100%;
    }
}
@media only screen and (max-width: 560px) {
    .intro_preview .img_box img {
        max-width: 200px;
    }

    .lightbox__close{
        top: -45px;
        right: 0;
    }
    .lockup{
        max-width: 60%;
        margin: -11% auto 0;
    }
    .slideDetailsSwiper {
        padding: 8px 0 16px 0;
    }
    .intro_preview .box-shadow:hover{
        -webkit-box-shadow: 0 14px 30px rgba(72, 78, 85, .6);
        box-shadow: 0 14px 30px rgba(72, 78, 85, .6);
        -webkit-transform: translateY(-5px);
        -moz-transform: translateY(-5px);
        -ms-transform: translateY(-5px);
        -o-transform: translateY(-5px);
        transform: translateY(-5px);
    }
}
@media only screen and (max-width: 491px) {
    .intro_preview .img_box img {
        max-width: 150px;
    }
    .intro_preview{
        padding: 30px 0 60px;
    }
    .title_preview{
        margin-bottom: 20px;
    }
    .lightbox {
        padding: 12px;
    }
    

}
@media only screen and (max-width: 330px) {
    .missed_moment .dflex_title{
        flex-wrap: wrap;
        gap: 12px;
    }
}
